%define tarname sleekxmpp

Summary:	SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc)
Name:		python-%tarname
Version:	1.3.1
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/s/sleekxmpp/%{tarname}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		https://pypi.python.org/pypi/sleekxmpp
BuildArch:	noarch
BuildRequires:	python-sphinx
BuildRequires:  python2-devel
BuildRequires:  python3-devel

%description
SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc).

%package -n python3-%tarname
Summary:	SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc)
Group:		Development/Python


%description -n python3-%tarname
SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc).

%prep
%setup -q -n %{tarname}-%{version}
# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

cp -a . %{py3dir}

%build
%py2_build
%make -C docs html PYTHONPATH=$(pwd)

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%__rm -rf docs/_build/html/.buildinfo


%files
%{python2_sitelib}/*

%files -n python3-%tarname
%{python3_sitelib}/*



%changelog
* Tue Sep 27 2016 neoclust <neoclust> 1.3.1-1.mga6
+ Revision: 1057099
- imported package python-sleekxmpp

